<mat-dialog-content *ngIf="shelves">
    <div *ngIf="shelves.length > 0; else noShelves">
        <ul *ngFor="let shelf of shelves">
            <mat-checkbox style="font-family: Lady; font-size: 20px;" [(ngModel)]="shelf.exists" (ngModelChange)="addOrRemoveShelf(shelf._id, $event)">
                {{shelf.name}}
            </mat-checkbox>
        </ul>
    </div>
    <ng-template #noShelves>
        <p style="color: white; text-align: center; font-family: Lady;"> Create your first shelf!</p>
    </ng-template>
</mat-dialog-content>
<mat-dialog-actions align="center">
    <div class="form-group" style="text-align:center;">
        <button class="btn btn-dark" (click)="onNewShelf()">New Shelf</button>
    </div>
</mat-dialog-actions>
